Skip to main content
GET
List redline requests

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

updatedSince
string<date-time>

ISO-8601 timestamp; only redline requests updated strictly after this time are returned

Response

Redline requests retrieved successfully (empty array if none match)

templateId
string
required

The template ID associated with the redline request

Example:

"tmpl_abc123"

status
enum<string>
required

Current status of the redline request

Available options:
DisclosingPartyDraft,
DisclosingPartyRequestedReview,
DocumentReadyForSigning,
ReceivingPartyDraft,
ReceivingPartyOpened,
ReceivingPartyRequestedReview
members
object[]
required

List of members in the redline request

testMode
boolean
required

Whether the redline request is in test mode

currentRound
enum<string>
required

The party whose turn it is in the current round

Available options:
Disclosing,
Receiving